# Ipopt::InexactData Class Reference

Class to organize all the additional data required by the Chen-Goldfarb penalty function algorithm. More...

`#include <IpInexactData.hpp>`

Inheritance diagram for Ipopt::InexactData:
[legend]

List of all members.

## Public Member Functions
Constructors/Destructors
| InexactData ()
| Constructor.
| ~InexactData ()
| Default destructor.
Methods overloaded from IpoptAdditionalData
bool | Initialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| This method must be called to initialize the global algorithmic parameters.
bool | InitializeDataStructures ()
| Initialize Data Structures at the beginning.
void | AcceptTrialPoint ()
| Do whatever is necessary to accept a trial point as current iterate.
Normal step set and accessor methods
void | set_normal_x (SmartPtr< Vector > &normal_x)
void | set_normal_s (SmartPtr< Vector > &normal_s)
SmartPtr< const Vector > | normal_x ()
SmartPtr< const Vector > | normal_s ()
Tangential step set and accessor methods
void | set_tangential_x (SmartPtr< const Vector > &tangential_x)
void | set_tangential_s (SmartPtr< const Vector > &tangential_s)
SmartPtr< const Vector > | tangential_x ()
SmartPtr< const Vector > | tangential_s ()
Flag indicating if most recent step has been fully
accepted. This is used to determine if the trust region radius should be increased.
void | set_full_step_accepted (bool full_step_accepted)
bool | full_step_accepted ()
Current value of penalty parameter
void | set_curr_nu (Number nu)
Number | curr_nu ()
Current normal step computation flag
void | set_compute_normal (bool compute_normal)
bool | compute_normal ()
Next iteration normal step computation flag
void | set_next_compute_normal (bool next_compute_normal)
bool | next_compute_normal ()
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactData (const InexactData &)
| Copy Constructor.
void | operator= (const InexactData &)
| Overloaded Equals Operator.
## Private Attributes
bool | full_step_accepted_
| Flag indicating if most recent step has been fully accepted.
Number | curr_nu_
| current value of penalty parameter
bool | compute_normal_
| current normal step computation flag
bool | next_compute_normal_
| next iteration normal step computation flag
Normal step
SmartPtr< const Vector > | normal_x_
SmartPtr< const Vector > | normal_s_
Tangential step
SmartPtr< const Vector > | tangential_x_
SmartPtr< const Vector > | tangential_s_

## Detailed Description

Class to organize all the additional data required by the Chen-Goldfarb penalty function algorithm.

Definition at line 19 of file IpInexactData.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactData::InexactData | ( |  | ) |

Constructor.

Ipopt::InexactData::~InexactData | ( |  | ) |

Default destructor.

Ipopt::InexactData::InexactData | ( | const InexactData & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

bool Ipopt::InexactData::Initialize | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

This method must be called to initialize the global algorithmic parameters.

The parameters are taken from the OptionsList object.

Implements Ipopt::IpoptAdditionalData.

bool Ipopt::InexactData::InitializeDataStructures | ( |  | ) | `[virtual]`

Initialize Data Structures at the beginning.

Implements Ipopt::IpoptAdditionalData.

void Ipopt::InexactData::AcceptTrialPoint | ( |  | ) | `[virtual]`

Do whatever is necessary to accept a trial point as current iterate.

This is also used to finish an iteration, i.e., to release memory, and to reset any flags for a new iteration.

Implements Ipopt::IpoptAdditionalData.

void Ipopt::InexactData::set_normal_x | ( | SmartPtr< Vector > & | normal_x | ) | `[inline]`

Definition at line 51 of file IpInexactData.hpp.

void Ipopt::InexactData::set_normal_s | ( | SmartPtr< Vector > & | normal_s | ) | `[inline]`

Definition at line 56 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::normal_x | ( |  | ) | `[inline]`

Definition at line 61 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::normal_s | ( |  | ) | `[inline]`

Definition at line 65 of file IpInexactData.hpp.

void Ipopt::InexactData::set_tangential_x | ( | SmartPtr< const Vector > & | tangential_x | ) | `[inline]`

Definition at line 73 of file IpInexactData.hpp.

void Ipopt::InexactData::set_tangential_s | ( | SmartPtr< const Vector > & | tangential_s | ) | `[inline]`

Definition at line 78 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::tangential_x | ( |  | ) | `[inline]`

Definition at line 83 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::tangential_s | ( |  | ) | `[inline]`

Definition at line 87 of file IpInexactData.hpp.

void Ipopt::InexactData::set_full_step_accepted | ( | bool | full_step_accepted | ) | `[inline]`

Definition at line 97 of file IpInexactData.hpp.

bool Ipopt::InexactData::full_step_accepted | ( |  | ) | `[inline]`

Definition at line 101 of file IpInexactData.hpp.

void Ipopt::InexactData::set_curr_nu | ( | Number | nu | ) | `[inline]`

Definition at line 109 of file IpInexactData.hpp.

Number Ipopt::InexactData::curr_nu | ( |  | ) | `[inline]`

Definition at line 113 of file IpInexactData.hpp.

void Ipopt::InexactData::set_compute_normal | ( | bool | compute_normal | ) | `[inline]`

Definition at line 121 of file IpInexactData.hpp.

bool Ipopt::InexactData::compute_normal | ( |  | ) | `[inline]`

Definition at line 125 of file IpInexactData.hpp.

void Ipopt::InexactData::set_next_compute_normal | ( | bool | next_compute_normal | ) | `[inline]`

Definition at line 133 of file IpInexactData.hpp.

bool Ipopt::InexactData::next_compute_normal | ( |  | ) | `[inline]`

Definition at line 137 of file IpInexactData.hpp.

void Ipopt::InexactData::operator= | ( | const InexactData & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::IpoptAdditionalData.

## Member Data Documentation

SmartPtr<const Vector> Ipopt::InexactData::normal_x_`[private]`

Definition at line 161 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::normal_s_`[private]`

Definition at line 162 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::tangential_x_`[private]`

Definition at line 167 of file IpInexactData.hpp.

SmartPtr<const Vector> Ipopt::InexactData::tangential_s_`[private]`

Definition at line 168 of file IpInexactData.hpp.

bool Ipopt::InexactData::full_step_accepted_`[private]`

Flag indicating if most recent step has been fully accepted.

Definition at line 172 of file IpInexactData.hpp.

Number Ipopt::InexactData::curr_nu_`[private]`

current value of penalty parameter

Definition at line 175 of file IpInexactData.hpp.

bool Ipopt::InexactData::compute_normal_`[private]`

current normal step computation flag

Definition at line 178 of file IpInexactData.hpp.

bool Ipopt::InexactData::next_compute_normal_`[private]`

next iteration normal step computation flag

Definition at line 181 of file IpInexactData.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactData.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines